Mail archive
alpine-aports

[alpine-aports] [PATCH] main/gd: upgrade to 2.2.4

From: Valery Kartel <valery.kartel_at_gmail.com>
Date: Fri, 24 Feb 2017 02:17:36 +0200

move perl-based font-converter to -dev subpacage
move binaries to -utils subpackage
---
 main/gd/APKBUILD | 31 +++++++++++++++++++------------
 1 file changed, 19 insertions(+), 12 deletions(-)
diff --git a/main/gd/APKBUILD b/main/gd/APKBUILD
index 978e2ad50c..33c125271d 100644
--- a/main/gd/APKBUILD
+++ b/main/gd/APKBUILD
_at_@ -1,21 +1,20 @@
 # Contributor: Carlo Landmeter <clandmeter_at_gmail.com>
 # Maintainer: Carlo Landmeter <clandmeter_at_gmail.com>
 pkgname=gd
-pkgver=2.2.3
-_myver=${pkgver/_rc/RC}
-pkgrel=1
+pkgver=2.2.4
+pkgrel=0
+_pkgreal=lib$pkgname
 pkgdesc="Library for the dynamic creation of images by programmers"
 url="http://libgd.github.io/"
 arch="all"
 license="custom"
 depends=
 makedepends="libpng-dev libjpeg-turbo-dev freetype-dev zlib-dev"
-subpackages="$pkgname-dev"
-source="https://github.com/libgd/libgd/releases/download/gd-$pkgver/libgd-$pkgver.tar.xz
+subpackages="$pkgname-dev $pkgname-utils"
+source="https://github.com/libgd/libgd/releases/download/gd-$pkgver/$_pkgreal-$pkgver.tar.xz
 	CVE-2016-7568.patch
 	"
-
-builddir="$srcdir"/lib$pkgname-$_myver
+builddir="$srcdir/$_pkgreal-$pkgver"
 
 build() {
 	cd "$builddir"
_at_@ -41,9 +40,17 @@ package() {
 	make DESTDIR="$pkgdir" install || return 1
 }
 
-md5sums="14e4134c129b4c166c3a0549a32ef340  libgd-2.2.3.tar.xz
-fca9871b791d6ac88af7d6d5ce8c59d1  CVE-2016-7568.patch"
-sha256sums="746b6cbd6769a22ff3ba6f5756f3512a769bd4cdf4695dff17f4867f25fa7d3c  libgd-2.2.3.tar.xz
-0b7b7ddfc5200220763efb47cc6b56a6275fd5af70e85a8c91c667344f664012  CVE-2016-7568.patch"
-sha512sums="bdc6d086bc054beda6574ec46baa4cd94048a5f2f357f875ba05983e92d247f1b731434b9e438c6aef09d46fa96f1a7e1f330a25a77ffd2dd78aa8a32d652557  libgd-2.2.3.tar.xz
+dev() {
+	default_dev || return 1
+	depends="$depends $pkgname-utils perl"
+	mv "$pkgdir"/usr/bin/bdftogd "$subpkgdir"/usr/bin
+}
+
+utils() {
+	pkgdesc="$pkgdesc (utilities)"
+	mkdir -p "$subpkgdir"/usr || return 1
+	mv "$pkgdir"/usr/bin "$subpkgdir"/usr/
+}
+
+sha512sums="07903f322c4f6ab392508b0f60c38ca133699111ea92995dc6cd9379210d598bcb24a46c19657884d9e252f8663d0ee8c89c600e3a382a5ae598198c190f39b5  libgd-2.2.4.tar.xz
 8310d11a2398e8617c9defc4500b9ce3897ac1026002ffa36000f1d1f8df19336005e8c1f6587533f1d787a4a54d7a3a28ad25bddbc966a018aedf4d8704a716  CVE-2016-7568.patch"
-- 
2.11.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Fri Feb 24 2017 - 02:17:36 GMT